<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFShapePlaceholderDetails (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFShapePlaceholderDetails (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapePlaceholderDetails.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFShapePlaceholderDetails.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFShapePlaceholderDetails" class="title">Class HSLFShapePlaceholderDetails</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFPlaceholderDetails</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.usermodel.HSLFShapePlaceholderDetails</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                           title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSLFShapePlaceholderDetails</span>
extends <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
           title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></pre>
                <div class="block">Extended placeholder details for HSLF shapes</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.usermodel.PlaceholderDetails">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                        title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                        title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#getSize--">getSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">Specifies that the corresponding shape should be represented by
                                        the generating application
                                        as a placeholder.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#setSize-org.apache.poi.sl.usermodel.PlaceholderDetails.PlaceholderSize-">setSize</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                        title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a>&nbsp;size)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPlaceholderDetails">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#isVisible--">isVisible</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#setText-java.lang.String-">setText</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#setVisible-boolean-">setVisible</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPlaceholder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPlaceholder</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;getPlaceholder()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPlaceholder</h4>
                                <pre>public&nbsp;void&nbsp;setPlaceholder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">PlaceholderDetails</a></code></span>
                                </div>
                                <div class="block">Specifies that the corresponding shape should be represented by the
                                    generating application
                                    as a placeholder. When a shape is considered a placeholder by the generating
                                    application
                                    it can have special properties to alert the user that they may enter content into
                                    the shape.
                                    Different types of placeholders are allowed and can be specified by using the
                                    placeholder
                                    type attribute for this element
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>placeholder</code> - The shape to use as placeholder or null if no
                                        placeholder should be set.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                        title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a>&nbsp;getSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#getSize--">getSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#getSize--">getSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSize-org.apache.poi.sl.usermodel.PlaceholderDetails.PlaceholderSize-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setSize</h4>
                                <pre>public&nbsp;void&nbsp;setSize(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                        title="enum in org.apache.poi.sl.usermodel">PlaceholderDetails.PlaceholderSize</a>&nbsp;size)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setSize-org.apache.poi.sl.usermodel.PlaceholderDetails.PlaceholderSize-">setSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                                title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#setSize-org.apache.poi.sl.usermodel.PlaceholderDetails.PlaceholderSize-">setSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapePlaceholderDetails.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFShapePlaceholderDetails.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
